From fc0f4d96a3c9d885a05d38e2d07c49545ab341ab Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 11:37:28 +0000
Subject: [PATCH 519/1001] Rename FAS to OIDC and fix the test to flask.session.auth


---

diff --git a/hubs/app.py b/hubs/app.py
index 136c844..6cc095e 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -459,12 +459,12 @@ def widget_source(name):
 
 
 # Set up OpenIDConnect
-FAS = OpenIDConnect(app, credentials_store=flask.session )
+OIDC = OpenIDConnect(app, credentials_store=flask.session )
 
 
 @app.route('/login/', methods=('GET', 'POST'))
 @app.route('/login', methods=('GET', 'POST'))
-@FAS.require_login
+@OIDC.require_login
 def login():
     default = flask.url_for('index')
     next_url = flask.request.args.get('next', default)
@@ -491,7 +491,7 @@ def logout():
         next_url = flask.url_for('index')
 
     if authenticated():
-        FAS.logout()
+        OIDC.logout()
         flask.session.auth = None
         flask.flash('You have been logged out')
 
@@ -519,17 +519,17 @@ def check_auth():
     flask.session.permanent = True
     flask.g.fedmsg_config = fedmsg_config
 
-    if FAS.user_loggedin:
-        if not hasattr(flask.session, 'fas_user') or not flask.session.fas_user:
+    if OIDC.user_loggedin:
+        if not hasattr(flask.session, 'auth') or not flask.session.auth:
             flask.session.auth = munch.Munch(
-                fullname=FAS.user_getfield('name'),
-                nickname=FAS.user_getfield('nickname'),
-                email=FAS.user_getfield('email'),
-                timezone=FAS.user_getfield('zoneinfo'),
+                fullname=OIDC.user_getfield('name'),
+                nickname=OIDC.user_getfield('nickname'),
+                email=OIDC.user_getfield('email'),
+                timezone=OIDC.user_getfield('zoneinfo'),
                 cla_done=\
                     'http://admin.fedoraproject.org/accounts/cla/done' \
-                    in FAS.user_getfield('cla'),
-                groups=FAS.user_getfield('groups'),
+                    in OIDC.user_getfield('cla'),
+                groups=OIDC.user_getfield('groups'),
                 logged_in=True,
             )
             flask.session.auth.avatar=username2avatar(

